import contextlib
import pygambit
import sys

import gurobipy as gp
from gurobipy import GRB


def sqf(I, S, A, seq, g):
    m = gp.Model("SQF")

    # implement SQF here

    m.optimize()

    return m.ObjVal


def payoffs(game):
    # Do not print debugging info to stdout!
    with contextlib.redirect_stdout(sys.stderr):
        p1 = sqf(None, None, None, None, None)
        p2 = sqf(None, None, None, None, None)

    return p1, p2


if __name__ == '__main__':
    txt = sys.stdin.read()
    game = pygambit.Game.parse_game(txt)

    print(*payoffs(game))
